You are not logged in.

#1 2006-03-20 20:36:28

phxx
Member
From: Germany > Greater Munich > Reh
Registered: 2006-02-01
Posts: 21

building: djplay

Hey guys,
I'm on the search for a useable djmixer for Linux. I tried, ultramixer 2.0.5 but its very (very, very, ...) bugy. Mixxx would be also a possibility but there are too low support for playlists etc.

Now I want to give djplay a try. But there appeared some building issues and I have to tell you that I never had compiled a programm by my self since my 6 month Linux experience.
I choosed to do it without ABS, because I guess it's easier.

So I type

# ./configure

and it appears following errors

*** The pkg-config script could not be found. Make sure it is
*** in your path, or set the PKG_CONFIG environment variable
*** to the full path to pkg-config.
*** Or see http://www.freedesktop.org/software/pkgconfig to get pkg-config.
configure: error: Library requirements (jack >= 0.80.0) not met; consider adjusting the PKG_CONFIG_PATH environment variable if your libraries are in a nonstandard prefix so pkg-config can find them.

Ok, but:

# pacman -Q jack-audio-connection-kit
jack-audio-connection-kit 0.100.7-1

How can I get djplay configuring?

It would be nice, if you have any suggestions. Already a thank you to everyone who can help me anyway.

phxx


ACER Extensa 4102 WMLi
Intel Pentium M 740
AIT MOBILITY RADEON X700

Offline

#2 2006-03-20 21:39:52

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,837

Re: building: djplay

It seems you don't have pkgconfig on your system - pacman will get it for you.

In the long run, ABS is a lot easier to manage than installing directly from source, IMO, because it produces packages for pacman to install. There's a minimal learning curve, but it's well worth the effort.

Offline

#3 2006-03-20 22:44:56

phxx
Member
From: Germany > Greater Munich > Reh
Registered: 2006-02-01
Posts: 21

Re: building: djplay

Ok, I have given ABS a chance.
So I seems to work really easy ... wow, I am impressed.

But now a new Error ... :-/

source='metatracker.cpp' object='metatracker.o' libtool=no 
depfile='.deps/metatracker.Po' tmpdepfile='.deps/metatracker.TPo' 
depmode=gcc3 /bin/sh ./depcomp 
g++ -DHAVE_CONFIG_H  -I/opt/qt/include  -I/opt/qt/include  -include djplay.h -DQT_THREAD_SUPPORT -I/usr/include/glib-1.2 -I/usr/lib/glib/include -march=i686 -O2 -pipe -I/usr/include/libxml2 -c -o metatracker.o `test -f 'metatracker.cpp' || echo './'`metatracker.cpp
metatracker.cpp:6:26: error: bitmapbutton.h: No such file or directory
metatracker.cpp: In member function 'void Metatracker::setMetadataActive(int)':
metatracker.cpp:27: error: invalid use of undefined type 'struct BitmapButton'
mainwnd.h:22: error: forward declaration of 'struct BitmapButton'
metatracker.cpp:30: error: invalid use of undefined type 'struct BitmapButton'
mainwnd.h:22: error: forward declaration of 'struct BitmapButton'
metatracker.cpp: In member function 'void Metatracker::clearMetadata(int)':
metatracker.cpp:46: error: invalid use of undefined type 'struct BitmapButton'
mainwnd.h:22: error: forward declaration of 'struct BitmapButton'
make[2]: *** [metatracker.o] Error 1
make[2]: Leaving directory `/var/abs/local/djplay/src/djplay-0.3.0'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/abs/local/djplay/src/djplay-0.3.0'
make: *** [all] Error 2
==> ERROR: Build Failed.  Aborting...

Hmm.. Two of the three Google results mentioned that it could be concerning the wrong gcc version. What do you suggest?

thxx, phxx


ACER Extensa 4102 WMLi
Intel Pentium M 740
AIT MOBILITY RADEON X700

Offline

#4 2006-03-20 23:17:54

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,837

Re: building: djplay

I suggest getting back to Google, or better still the djplay mailing-list/forum/whatever they have, and asking about gcc4 compatibility. Given that the latest release is from July last year, the issue is not surprising.

Impressed by ABS? I told you so ...... wink

Offline

Board footer

Powered by FluxBB